Bug 241602 - no video playback with compiz enabled
no video playback with compiz enabled
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2007-05-28 15:56 EDT by Jakub Hrozek
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-21 05:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2007-05-28 15:56:52 EDT
Description of problem:
With compiz (or beryl, for that matter) enabled, I cannot play any videos on my
machine. The video player starts, but there is no picture visible, sounds plays
 OK and I can even seek in the video. There is no problem using the same
settings/player/video stream with compiz disabled. 

This problem occurs with all video players and all video formats with results
little varying (totem and mplayer crash, kaffeine starts with sound only and no
video) But most importantly, it occurs with ogg/totem, which is Fedora's default.

I'm not sure if it is a bug in compiz actually, but since it's reproducible by
merely turning the desktop effects on, I'm filing it against compiz.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enable desktop effects
2. start video playback
3. observe no picture or player crash

Actual results:
no video playback

Expected results:
video should be OK with desktop effects enabled

Additional info:
For testing, I have used latest rawhide totem and the company "truth happens"
video. My video card is Intel 915GM, using the "intel" driver. 

The same setup works OK with FC6.
Comment 1 mail@romal.de 2007-06-15 14:05:45 EDT
Happens on x86_64 too.


Rawhide 2007-06-15
Comment 2 David Nielsen 2007-08-04 04:48:11 EDT
Can you please confirm that you are using the no XV video output in GStreamer as
opposed to the X11 XV one (check in gstreamer-properties). the 0.5.x Compiz
series does contain a plugin to allow accelerated video playback but that
version is not in Fedora yet and the plugin is not API stable so a GStreamer
plugin to utilize it does not exist. Hopefully the future will be less painful.

If you are seeing crashing in Totem when playing Ogg Theora content you might
also being seeing this bug:
Comment 3 mail@romal.de 2007-08-06 15:42:54 EDT
Indeed, forcing gstreamer to no-vx does produce a video, though it's using
massive cpu-cycles.

Should gestreamer-properties be enhanced to select non-xv when running in
autodetect-mode on Intel-GMAs ?
Comment 4 Steve 2007-08-14 09:12:19 EDT
have also a look at here:
Comment 5 Jakub Hrozek 2007-09-20 13:03:17 EDT
I'm sorry for not commenting on this bug for so long, but I'm no longer in 
possesion of the affected hardware (a laptop that broke). But other seem to be 
affected, too..
Comment 6 Matěj Cepl 2007-09-21 05:52:36 EDT
OK, let those "other" reopen this bug and add information about their computer
(/var/Xorg.0.log and /etc/X11/xorg.conf).

Note You need to log in before you can comment on or make changes to this bug.